Net::DNS::RR::NULL(3)

NAME
Net::DNS::RR::NULL - DNS NULL resource record

SYNOPSIS
    use Net::DNS;
    $rr = new Net::DNS::RR('name NULL \# length hexdata ...');

DESCRIPTION
Class for DNS null (NULL) resource records.

METHODS
The available methods are those inherited from the base class augmented by the type-specific methods defined in this package.

Use of undocumented package features or direct access to internal data structures is discouraged and could result in program termination or other unpredictable behaviour.

  rdlength
    $rdlength = $rr->rdlength;
    $rr->rdlength( $rdlength );

Returns the length of the record data section.

  rdata
    $rdata = $rr->rdata;
    $rr->rdata( $rdata );

Returns the record data section as binary data.

COPYRIGHT
Copyright (c)1997 Michael Fuhr.

All rights reserved.

This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

Package template (c)2009,2012 O.M.Kolkman and R.W.Franks.

SEE ALSO
perl, Net::DNS, Net::DNS::RR, RFC1035 Section 3.3.10